/*==================================================+
 | Autor:     Terminal de Informacao                |
 | Site:      www.terminaldeinformacao.com          |
 | Data:      04/11/2014                            |
 | Descricao: Menu principal chamado pela Splash    |
 +==================================================*/

//Bibliotecas - Gráficos
import javax.swing.*;
import javax.swing.JOptionPane;

//Bibliotecas - Eventos
import java.awt.*;
import java.awt.event.*;

//Classe de Menu que é extendida da JFrame e implementa ActionListener
public class Menu  extends JFrame implements ActionListener
{
  //Declaração de botões - Ok, Cancelar e Esqueci
  private JButton btOk, btCancel;
  
  //Função que carrega dados da tela de login
  public Menu() {
    //setando o layout como null
    setLayout(null);
		    
    //botão Ok
    btOk = new JButton("OK");
    btOk.setMnemonic('O');
    btOk.setToolTipText("Botão OK");
    btOk.setForeground(Color.RED);
    btOk.addActionListener(this);
    btOk.setBounds(20,15,100,20);
    add(btOk);
    
    //botão Cancelar
    btCancel = new JButton("Cancelar");
    btCancel.setMnemonic('C');
    btCancel.setToolTipText("Botão Cancelar");
    btCancel.setForeground(Color.RED);
    btCancel.addActionListener(this);
    btCancel.setBounds(20,45,100,20);
    add(btCancel);
		    
    //Configurações da janela
    setSize(150,120);
    setLocationRelativeTo(null);
    getContentPane().setBackground(Color.WHITE);
    setTitle("Menu");
    setResizable(false);
    setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    setVisible(true);
  }

  //Interação com usuário - cliques nos botões
  public void actionPerformed(ActionEvent acesso)
  {    
    //botão Ok		
    if (acesso.getSource() == btOk) {
      System.out.println("Botão OK pressionado!");
    }
    
    //botão Cancelar
    if (acesso.getSource() == btCancel) {
      System.out.println("Botão Cancelar pressionado!");
    }
	      
  }
  
}
