/*==================================================+
 | Autor:     Terminal de Informacao                |
 | Site:      www.terminaldeinformacao.com          |
 | Data:      04/11/2014                            |
 | Descricao: Tela de Splash que será carregada     |
 +==================================================*/

//Bibliotecas
import javax.swing.*;
import java.awt.*;
import java.awt.event.*; 

//Classe Splash, que extende da JFrame
public class Splash extends JFrame
{
  private static JLabel lbSplash;          //label responsável por conter a imagem
  private ImageIcon imSplash;              //imagem que será mostrada no label

  //função principal que será carregada
  public static void main(String arg[]){
    //Criando a janela de Splash
    Splash s = new Splash();
    
    //definindo o tipo de fechamento, o tamanho, tirando a barra de títulos, deixando no centro, definindo um icone e mostrando a janela
    s.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    s.setSize(700,300);
    s.setUndecorated(true);
    s.setLocationRelativeTo(null);
    s.setVisible(true);
    
    //forçando a espera de 1500 milissegundos (1,5 segundos)
    try {
      Thread.sleep (1500);
    }
    catch (InterruptedException ex) {}
    
    //fechando a janela
    s.dispose();
  }
  
  //função responsável por carregar os dados da janela (layout e imagem)
  public Splash() {
    //definindo o layout como nulo
    setLayout(null);
    
    //setando a imagem de splash
    imSplash = new ImageIcon("imagens/splash_screen.png");
    
    //adicionando a imagem no label e mudando o tamanho
    lbSplash = new JLabel(imSplash);
    lbSplash.setBounds(0,0,700,300);
    
    //adicionando componentes na janela
    add(lbSplash);
  }
  
  //função ao fechar a splash
  public void dispose(){
    //criar a tela de menu, e fechar o splash
    new Menu();
    super.dispose();
  }
    
}
